from athenaeum.comic import views
from django.conf.urls.defaults import *
from django.views.generic import simple

urlpatterns = patterns('',
	(r'^$',             								'athenaeum.comic.views.index'),
	(r'^images/(?P<path>.*)$', 							'django.views.generic.simple.redirect_to', {'url': 'http://www.g33xnexus.com/athenaeum/images/%(path)s'}),
	(r'^comic/$', 										'athenaeum.comic.views.index'),
	(r'^comic/(?P<strip_id>\d+)/$', 					'athenaeum.comic.views.index'),
	(r'^news/$', 										'athenaeum.comic.views.news'),
	(r'^characters/$',         							'athenaeum.comic.views.characters'),
	(r'^archives/$',         							'athenaeum.comic.views.archives'),
	(r'^about/$',         								'athenaeum.comic.views.about'),
	(r'^links/$',         								'athenaeum.comic.views.links'),
	(r'^gallery/$',       	  							'athenaeum.comic.views.gallery'),
	(r'^gallery/(?P<image_id>\d+)/$',	 				'athenaeum.comic.views.gallery_image'),
	(r'^login/$',         								'athenaeum.comic.views.login'),
	(r'^login_action/$',         						'athenaeum.comic.views.login_action'),
	(r'^logout/$',         								'athenaeum.comic.views.logout'),
	(r'^admin/$',         								'athenaeum.comic.views.admin'),
	(r'^admin/delstrip/(?P<strip_id>\d+)/$',   			'athenaeum.comic.views.admin'),
	(r'^admin/delbook/(?P<book_id>\d+)/$',   			'athenaeum.comic.views.delbook'),
	(r'^admin/delgallery/(?P<gallery_id>\d+)/$',  		'athenaeum.comic.views.delgallery'),
	(r'^admin/delimage/(?P<image_id>\d+)/$',  			'athenaeum.comic.views.delimage'),
	(r'^admin/delnews/(?P<news_id>\d+)/$',   		 	'athenaeum.comic.views.delnews'),
	(r'^admin/delcomment/(?P<comment_id>\d+)/$',		'athenaeum.comic.views.delcomment'),
	(r'^admin/gallery/$',								'athenaeum.comic.views.gallery_new'),
	(r'^admin/gallery/(?P<gallery_id>\d+)/$',			'athenaeum.comic.views.gallery'),
	(r'^admin/gallery/action/(?P<gallery_id>\d+)/$',	'athenaeum.comic.views.gallery_action'),
	(r'^admin/image/(?P<image_id>\d+)/$',				'athenaeum.comic.views.gallery_image_upload'),
	(r'^admin/image/action/(?P<image_id>\d+)/$',		'athenaeum.comic.views.gallery_image_action'),
	(r'^admin/image/$',									'athenaeum.comic.views.gallery_image_upload'),
	(r'^admin/book/$',									'athenaeum.comic.views.book'),
	(r'^admin/book/(?P<book_id>\d+)/$',					'athenaeum.comic.views.book'),
	(r'^admin/book/action/(?P<book_id>\d+)/$',			'athenaeum.comic.views.book_action'),
	(r'^admin/comment/(?P<comment_id>\d+)/$',			'athenaeum.comic.views.comment'),
	(r'^admin/comment/action/(?P<comment_id>\d+)/$',	'athenaeum.comic.views.comment_action'),
	(r'^admin/comment/strip/(?P<strip_id>\d+)/$',		'athenaeum.comic.views.comment'),
	(r'^admin/comment/image/(?P<image_id>\d+)/$',		'athenaeum.comic.views.comment'),
	(r'^admin/news_items/$',    	     				'athenaeum.comic.views.news_items'),
	(r'^admin/news_items/(?P<news_id>\d+)/$',			'athenaeum.comic.views.news_items'),
	(r'^admin/news/action/(?P<news_id>\d+)/$',			'athenaeum.comic.views.news_action'),
	(r'^admin/upload/$',         						'athenaeum.comic.views.upload'),
	(r'^admin/upload/(?P<strip_id>\d+)/$',				'athenaeum.comic.views.upload_strip'),
	(r'^admin/strip/(?P<strip_id>\d+)/$', 				'athenaeum.comic.views.upload'),
)
